Subject: I-D ACTION:draft-ietf-smime-hmac-key-wrap-00.txt

From: [email-masked]
Date: Thu, 07 Feb 2002 13:23:47 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the S/MIME Mail Security Working Group of the IETF.

	Title		: Wrapping an HMAC key with a Triple-DES Key or an AES 
                          Key
	Author(s)	: J. Schaad, R. Housley
	Filename	: draft-ietf-smime-hmac-key-wrap-00.txt
	Pages		: 8
	Date		: 06-Feb-02
	
The key wrap algorithms defined in [3DES-WRAP] and [AES-WRAP] cover 
the of wrapping a Triple-DES key with another Triple-DES key and 
wrapping an AES key with another AES key, respectively.  This 
document specifies two similar mechanisms.  One specifies the 
mechanism for wrapping an HMAC key with a Triple-DES key, and the 
other specifies the mechanism for wrapping an HMAC key with an AES 
key.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-smime-hmac-key-wrap-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-smime-hmac-key-wrap-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-smime-hmac-key-wrap-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: [email-masked] (Peter Gutmann)
Date: Sat, 9 Feb 2002 07:11:35 +1300 (NZDT)

"Housley, Russ" <[email-masked]> writes:

>The minutes from the S/MIME WG session at the IETF meeting last December
>include the following:
>
>    The first issue dealt with the problem of wrapping an HMAC key with a
>    Triple-DES, RC2 or AES key.  Currently, one password-based key management
>    includes a defined method for this operation.  A new draft is to be
>    prepared to define a mechanism.

I pointed out when the meeting minutes were posted to the list that this was
unnecessary because it's already provided for in PWRI.  I also pointed out that
I'd been wrapping HMAC keys using 3DES for several years using the PWRI wrap
mechanism.  PWRI defines a universal wrap mechanism which will wrap any key in
any other key, which eliminates the need for creating further special-case
RFCs.  A single implementation of PWRI will wrap anything in anything else, so
you don't have to keep rewriting your code every time a new key wrap RFC
appears.

Peter.

---

From: "Housley, Russ" <[email-masked]>
Date: Tue, 12 Feb 2002 16:00:12 -0500

Francois:

The document describes how to use the NIST AES Key Wrap algorithm to 
encrypt an HMAC key.  The NIST algorithm requires an input that is a 
multiple of 64-bits.  The document describes the mechanism to pad the HMAC 
key prior to encryption and remove the pad after decryption.

Russ

At 02:55 PM 2/12/2002 -0500, [email-masked] wrote:
>Hi Russ,
>
>Sorry I am not registered on the S/MIME mailing list, but feel free to
>distribute your answer.
>
>If I am not mistaken, it is my understanding that the AES Key Wrap Algorithm
>from NIST can be used to wrap any key data and not just another AES key.
>This is also consistent with section 2 of
>draft-ietf-smime-aes-keywrap-00.txt.  This implies that you would certainly
>not need this new proposed Internet Draft for wrapping an HMAC key with an
>AES key.
>
>Regards,
>
>Francois
>---------------------------------
>Francois Rousseau
>IT Standards, Senior Advisor - CSE
>Conseiller Superieur, Normes TI - CST
>[email-masked]
>(613) 991-8364
>Edward Drake Building
>1500 Bronson, Ottawa, Ontario, K1G 3Z4